=== modified file 'plugin/schema_dictionary/tables.cc'
--- plugin/schema_dictionary/tables.cc	2010-12-18 04:43:40 +0000
+++ plugin/schema_dictionary/tables.cc	2011-01-14 15:36:01 +0000
@@ -133,10 +133,24 @@
   }
 
   /* ENGINE */
-  push(getTableMessage().engine().name());
+  const drizzled::message::Engine &engine= getTableMessage().engine();
+  push(engine.name());
 
   /* ROW_FORMAT */
-  push("DEFAULT");
+  bool row_format_sent= false;
+  for (ssize_t it= 0; it < engine.options_size(); it++)
+  {
+    const drizzled::message::Engine::Option &opt= engine.options(it);
+    if (opt.name().compare("ROW_FORMAT") == 0)
+    {
+      row_format_sent= true;
+      push(opt.state());
+      break;
+    }
+  }
+
+  if (not row_format_sent)
+    push("DEFAULT");
 
   /* TABLE_COLLATION */
   push(getTableMessage().options().collation());

